%global srcname oslo-test

Name:           python-%{srcname}
Version:        1.11.0
Release:        %mkrel 2
Summary:        Oslo Test API

Group:          Development/Python
License:        MIT
URL:            http://www.openstack.org/
Source0:        https://pypi.python.org/packages/source/o/oslotest/oslotest-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pythonegg(2)(pbr)
BuildRequires:  pythonegg(2)(sphinx)
BuildRequires:  pythonegg(2)(oslosphinx) >= 2.2.0
BuildRequires:  pythonegg(2)(sphinx-rtd-theme)

%description
The Oslo test API.

%package -n     python3-%{srcname}
Summary:        Oslo Test API
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)
BuildRequires:  pythonegg(3)(pbr)
BuildRequires:  pythonegg(3)(sphinx)
BuildRequires:  pythonegg(3)(oslosphinx) >= 2.2.0
BuildRequires:  pythonegg(3)(sphinx-rtd-theme)

%description -n python3-%{srcname}
The Oslo test API.

This is the Python 3 version of the package.

%prep
%setup -q -n oslotest-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py2_build
%py3_build

# generate html docs
sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install
mv %{buildroot}%{_bindir}/oslo_debug_helper %{buildroot}%{_bindir}/python3-oslo_debug_helper
mv %{buildroot}%{_bindir}/oslo_run_cross_tests %{buildroot}%{_bindir}/python3-oslo_run_cross_tests
mv %{buildroot}%{_bindir}/oslo_run_pre_release_tests %{buildroot}%{_bindir}/python3-oslo_run_pre_release_tests

%py2_install

%files
%doc html README.rst
%{python2_sitelib}/oslo*
%{_bindir}/oslo_*

%files -n python3-%{srcname}
%doc html README.rst
%{python3_sitelib}/oslo*
%{_bindir}/python3-oslo_*


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 1.11.0-2.mga6
+ Revision: 971233
- Mageia 6 Mass Rebuild

* Mon Oct 12 2015 daviddavid <daviddavid> 1.11.0-1.mga6
+ Revision: 889882
- new version: 1.11.0
- add python3 package
- use new python macros
- build html doc

* Mon Aug 31 2015 fwang <fwang> 1.10.0-1.mga6
+ Revision: 871478
- 1.10.0

* Sun Jul 12 2015 bcornec <bcornec> 1.6.0-1.mga6
+ Revision: 853443
- Import python-oslo-test
- Created package structure for python-oslo-test.

